Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.space
Class Diffuse2dCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.space.Diffuse2dCImpl

public class Diffuse2dCImpl
extends PhaseCImpl
implements Ca2dC, Ca2dS, Diffuse2dS, Diffuse2dC

2d difussion with evaporation.. Discrete 2nd order approximation to 2d diffusion with evaporation. Math is done in integers on the range [0,0x7fff].

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`Diffuse2dCImpl()`
`Diffuse2dCImpl(Diffuse2d nextPhase)`

Methods implemented by this class for interface swarm.space.Ca2dC
`initializeLattice, setNumStates`

Methods implemented by this class for interface swarm.space.Diffuse2dS
`setDiffusionConstant, setEvaporationRate`

Methods implemented by this class for interface swarm.space.Diffuse2dC
`create$setSizeX$Y$setDiffusionConstant$setEvaporationRate, initializeLattice`

Methods implemented by this class for interface swarm.space.Discrete2dC
`create$setSizeX$Y, makeOffsets, setSizeX$Y`

Methods implemented by this class for interface swarm.space.Discrete2dS
`setObjectFlag`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Diffuse2dCImpl

    public Diffuse2dCImpl(Diffuse2d nextPhase)

### Diffuse2dCImpl

    public Diffuse2dCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD